# Commands that run every game tick

# Player was just teleported
execute @a[tag=tpeffects] ~ ~ ~ function teleporter/tpeffects

# Teleporters
execute @a ~ ~ ~ execute @e[r=2,type=cf:marker,tag=teleporter,tag=active] ~ ~ ~ scoreboard players set @s dotp 1
execute @e[type=cf:marker,tag=teleporter] ~ ~ ~ function teleporter/check

# Tutorial triggers
execute @s[scores={tutprogress=0..12}] ~ ~ ~ function tutorial/loop

# Gamemodes
execute @s[scores={tutprogress=13..}] ~ ~ ~ gamemode survival @a[m=adventure]

# Init villagers
execute @e[type=villager,tag=!init] ~ ~ ~ function entity/villager/init

# Map-specific commands
function loop_1_map

# Slower-ticking functions
scoreboard players add @s tick 1
execute @s[scores={tick=4}] ~ ~ ~ function loop_4
execute @s[scores={tick=8}] ~ ~ ~ function loop_4
execute @s[scores={tick=12}] ~ ~ ~ function loop_4
execute @s[scores={tick=16}] ~ ~ ~ function loop_4
execute @s[scores={tick=20}] ~ ~ ~ function loop_4
execute @s[scores={tick=20}] ~ ~ ~ function loop_20
execute @s[scores={tick=20..}] ~ ~ ~ scoreboard players set @s tick 0